Package com.meterware.servletunit

# Class JUnitServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
com.meterware.servletunit.JUnitServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class JUnitServlet extends javax.servlet.http.HttpServlet
A servlet which can run unit tests inside a servlet context. It may be extended to provide InvocationContext-access to such tests if a container-specific implementation of InvocationContextFactory is provided. Combined with ServletTestCase, this would permit in-container tests of servlets in a fashion similar to that supported by ServletUnit.

Author:
  Russell Gold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`JUnitServlet()`
`protected`
`JUnitServlet(InvocationContextFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JUnitServlet

public JUnitServlet()

### JUnitServlet

protected JUnitServlet(InvocationContextFactory factory)

## Method Details

### doGet

protected void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`